<template>
  <div class="flex-1 gap-4 max-w-[1200px] mx-auto px-2 flex items-center justify-center h-full">
    <div class="flex-1 space-y-4">
      <h1 class="font-bold leading-10 text-4xl">
        Estimate your app <br />
        development costs
      </h1>
      <p class="text-xl leading-8 text-[#7b7b7b] font-medium">
        Find out how much it will cost to build an app and how long it will take to launch it. An
        app cost calculator built with the user in mind.
      </p>

      <el-button @click="handleEstimate()" type="primary" size="large"
        >Estimate my app
        <el-icon class="el-icon--right"><Right /></el-icon>
      </el-button>
    </div>
    <div class="flex-1">
      <img src="../assets/home.svg" alt="" />
    </div>
  </div>
</template>

<script setup>
import { useRouter } from 'vue-router';
import sections from '../data/sections';

const router = useRouter()

const handleEstimate = () => {
  if (sections.length == 0) {
    return
  }

  router.push({
    name: 'question'
  })
}
</script>
